cabal-version:      2.2
name:               arithm
version:            1.0
build-type:         Simple
license:            MIT

common deps
    ghc-options:        -Wall -O
    default-language:   Haskell2010
    build-depends:      base

library
    import:             deps
    hs-source-dirs:     src
    exposed-modules:    Eval Expr Parse

executable arithm-cli
    import:             deps
    hs-source-dirs:     app/
    main-is:            Main.hs
    build-depends:      arithm

test-suite spec
    import:             deps
    main-is:            Spec.hs
    hs-source-dirs:     test
    type:               exitcode-stdio-1.0
    build-depends:      hspec, arithm
    other-modules:      EvalSpec